<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>com.bonus</groupId>
        <artifactId>bonus</artifactId>
        <version>24.12.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <modules>
        <module>bonus-common-log</module>
        <module>bonus-common-core</module>
        <module>bonus-common-redis</module>
        <module>bonus-common-seata</module>
        <module>bonus-common-swagger</module>
        <module>bonus-common-security</module>
        <module>bonus-common-sensitive</module>
        <module>bonus-common-datascope</module>
        <module>bonus-common-datasource</module>
        <module>bonus-common-config</module>
    </modules>

    <artifactId>bonus-common</artifactId>
    <packaging>pom</packaging>

    <description>
        bonus-common通用模块
    </description>
    <distributionManagement>
        <repository>
            <id>bns-releases</id>
            <url>http://192.168.0.56:8081/repository/maven-releases/</url>
        </repository>
        <snapshotRepository>
            <id>bns-snapshots</id>
            <url>http://192.168.0.56:8081/repository/maven-snapshots/</url>
        </snapshotRepository>
    </distributionManagement>


<!--    <build>-->
<!--        <plugins>-->
<!--            <plugin>-->
<!--                <groupId>org.apache.maven.plugins</groupId>-->
<!--                <artifactId>maven-javadoc-plugin</artifactId>-->
<!--                <version>3.2.0</version>-->
<!--                <configuration>-->
<!--                    &lt;!&ndash; 配置Javadoc生成的特定选项 &ndash;&gt;-->
<!--                </configuration>-->
<!--                <executions>-->
<!--                    <execution>-->
<!--                        <phase>package</phase>-->
<!--                        <goals>-->
<!--                            <goal>javadoc</goal>-->
<!--                        </goals>-->
<!--                    </execution>-->
<!--                </executions>-->
<!--            </plugin>-->
<!--        </plugins>-->
<!--    </build>-->

</project>
